# Renovate Bot using Woodpecker CI [![status-badge](https://woodpecker.bluemedia.dev/api/badges/7/status.svg)](https://woodpecker.bluemedia.dev/repos/7)

This repo contains the Woodpecker CI pipelines and configuration for the [Renovate Bot](https://github.com/renovatebot/renovate) on this Forgejo instance. Renovate is a dependency managament system, that is able to automatically create (and even merge) pull requests with dependency updates.

## Usage

To use Renovate for a repo on this instance, complete the following steps:
1. Add the `Renovate` user as a collaborator with write access to your repository
2. Add the `using-renovate` topic to your repository
3. Renovate bot will open a pull request with further details (Renovate currently runs every 6 hours)
4. Merge the pull request and adjust the configuration as needed

For more details, see the official documentation: https://docs.renovatebot.com